from django.urls import path, include
from rest_framework import routers

from networkmap import api

router = routers.DefaultRouter()
router.register('images', api.NetworkMapBackgroundImagesViewSet, basename='background_images')

urlpatterns = [
    # path('new', api.add_new_user_map, name='api_add_new_user_netmap'),
    path('delete/<int:pk>', api.delete_user_map, name='api_delete_user_netmap'),
    path('user', api.get_user_maps, name='api_get_user_netmaps'),
    path('background_image/get/<int:background_pk>', api.get_map_background_image,
         name='api_get_netmap_background_new'),
    # path('background_image/add/<int:current_netmap_id>', api.add_new_background_image,
    #      name='api_add_netmap_background'),
    # path('filter/type/<str:form_type>', api.handle_filter_forms, name='api_handle_filter_form'),
    path('', include(router.urls))
]
